import { Registry } from "react-registry";
class ComponentRegistry {
    static get(componentRegistryId, params) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        let getParams = {
            id: componentRegistryId,
            conditions: { id: componentRegistryId }
        };
        if (params && params.isValid()) {
            getParams = {
                ...getParams,
                conditions: { ...getParams.conditions, ...params.conditions },
                ...params
            };
        }
        const component = Registry.get(getParams);
        if (!component) {
            // eslint-disable-next-line no-console
            console.error(`There is no component registered with name ${componentRegistryId}`);
        }
        return component;
    }
    static register(
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    component, componentRegistryId, params) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        let registerParams = {
            id: componentRegistryId,
            conditions: { id: componentRegistryId }
        };
        if (params && params.isValid()) {
            registerParams = {
                ...registerParams,
                conditions: {
                    ...registerParams.conditions,
                    ...params.conditions
                },
                ...params
            };
        }
        Registry.register(component, registerParams);
    }
}
export default ComponentRegistry;
