import aestheticDefault from "aesthetic";
import AphroditeAdapter from "aesthetic-adapter-aphrodite";
import { defaultTheme } from "@diana-ui/tokens";
import { selfExtension } from "./aphroditeExtensions";
export function initDefaultTheme(aesthetic = aestheticDefault) {
    if (!aesthetic.themes[defaultTheme.name]) {
        aesthetic.registerTheme(defaultTheme.name, defaultTheme, theme => ({
            "@global": {},
            "@font-face": theme.fonts
        }));
    }
    aesthetic.configure({
        adapter: new AphroditeAdapter([selfExtension]),
        theme: defaultTheme.name,
        rtl: false,
        extendable: true,
        passThemeProp: true
    });
}
export function initTheme(themeObj = defaultTheme, aesthetic = aestheticDefault) {
    if (!aesthetic.themes[defaultTheme.name]) {
        aesthetic.registerTheme(defaultTheme.name, defaultTheme, theme => ({
            "@global": {},
            "@font-face": theme.fonts
        }));
    }
    const result = aesthetic.registerTheme(themeObj.name, themeObj, theme => ({
        "@global": {},
        "@font-face": theme.fonts
    }));
    aesthetic.configure({
        adapter: new AphroditeAdapter([selfExtension]),
        theme: themeObj.name,
        rtl: false,
        extendable: true,
        passThemeProp: true
    });
    return result;
}
export function registerTheme(themeObj = defaultTheme, aesthetic = aestheticDefault) {
    aesthetic.registerTheme(themeObj.name, themeObj, theme => ({
        "@global": {},
        "@font-face": theme.fonts
    }));
    aesthetic.configure({
        theme: themeObj.name
    });
}
export function changeTheme(theme, aesthetic = aestheticDefault) {
    aesthetic.changeTheme(theme);
}
