import React from "react";
import { withStyles } from "@diana-ui/base";
import { ButtonText } from "@diana-ui/typography";
const styleSheet = theme => ({
    button: {
        color: theme.colors.primary,
        cursor: "pointer",
        outlineStyle: "none",
        display: "flex",
        alignItems: "center"
    },
    danger: {},
    disabled: {},
    buttonText: {}
});
const BaseButton = ({ styles, cx, danger, className, children, renderLeftIcon, renderRightIcon, wrappedRef, parentStylesheet, ...props }) => {
    const { disabled } = props;
    const styleArray = [danger && styles.danger, disabled && styles.disabled];
    return (React.createElement("button", Object.assign({ className: cx(styles.button, ...styleArray, className), type: "submit" }, props, { ref: wrappedRef }),
        renderLeftIcon && renderLeftIcon(),
        React.createElement(ButtonText, { className: cx(styles.buttonText) }, children),
        renderRightIcon && renderRightIcon()));
};
// const ForwardedButton = React.forwardRef<
//   IProps & WithStylesProps,
//   HTMLButtonElement
// >((props: any, ref) => <BaseButton wrappedRef={ref} {...props} />);
// ForwardedButton.displayName = "BaseButton";
export default withStyles(styleSheet)(BaseButton);
