import React from "react";
import { DescriptionMedium } from "@diana-ui/typography";
import { withStyles } from "@diana-ui/base";
const styleSheet = theme => ({
    chip: {
        padding: theme.spaceUnit.xs,
        outlineStyle: "none",
        border: "1px solid",
        borderRadius: "4px",
        boxSizing: "border-box",
        display: "flex",
        alignItems: "center",
        borderColor: theme.colors.grey.grey50
    },
    text: {},
    selected: {
        backgroundColor: theme.colors.grey.grey100
    },
    clickable: {
        cursor: "pointer",
        ":hover": {
            backgroundColor: theme.colors.grey.grey25
        }
    },
    disabled: {
        pointerEvents: "none",
        color: theme.colors.grey.grey50
    }
});
const BaseChip = ({ styles, cx, selected, disabled, renderLeftIcon, renderRightIcon, children, className, wrappedRef, parentStylesheet, ...props }) => {
    const { onClick } = props;
    const styleArray = cx(styles.chip, onClick && styles.clickable, selected && styles.selected, disabled && styles.disabled, className);
    return (React.createElement("div", Object.assign({ className: styleArray }, props),
        renderLeftIcon && renderLeftIcon(),
        React.createElement(DescriptionMedium, { className: cx(styles.text) }, children),
        renderRightIcon && renderRightIcon()));
};
export default withStyles(styleSheet, { register: true })(BaseChip);
