import React from "react";
import { Icon } from "@diana-ui/icon";
import { withStyles } from "@diana-ui/base";
import { useRegistryWithStyles } from "@diana-ui/hooks";
const styleSheet = (theme) => ({
    chip: {
        borderColor: "green",
        height: 26,
        border: "10px solid"
    },
    deleteIcon: {
        padding: theme.spaceUnit.xxs,
        marginLeft: theme.spaceUnit.xs,
        cursor: "pointer",
        borderRadius: "50%",
        ":hover": {
            backgroundColor: "red"
        }
    }
});
const CloseableChip = ({ onClose = () => { }, renderRightIcon, styles, cx, ...props }) => {
    const CloseableChipStyle = useRegistryWithStyles("BaseChip", styleSheet);
    return (React.createElement(CloseableChipStyle, Object.assign({}, props, { renderRightIcon: () => (React.createElement("div", { onClick: e => {
                onClose();
                e.stopPropagation();
            }, className: cx(styles.deleteIcon) }, renderRightIcon ? renderRightIcon() : React.createElement(Icon, { name: "close", size: 8 }))) })));
};
export default withStyles(styleSheet, { register: true })(CloseableChip);
