import React from "react";
import { extendStyles } from "@diana-ui/base";
import BaseChip from "./BaseChip";
const colorMap = (theme) => ({
    default: {
        chip: {
            borderColor: theme.colors.grey.grey50
        },
        selected: {
            backgroundColor: theme.colors.grey.grey50
        }
    },
    success: {
        chip: {
            borderColor: theme.colors.success.success100
        },
        selected: {
            backgroundColor: theme.colors.success.success100
        }
    },
    warning: {
        chip: {
            borderColor: theme.colors.warning.warning100
        },
        selected: {
            backgroundColor: theme.colors.warning.warning100
        }
    },
    danger: {
        chip: {
            borderColor: theme.colors.alert.alert100
        },
        selected: {
            backgroundColor: theme.colors.alert.alert100
        }
    }
});
const StatusChip = ({ styleSheet, type, ...props }) => {
    const styleSheet2 = extendStyles(theme => ({
        ...colorMap(theme)[type]
    }), theme => (styleSheet ? styleSheet(theme) : {}));
    const AlteredBaseChip = BaseChip.extendStyles(styleSheet2);
    return React.createElement(AlteredBaseChip, Object.assign({}, props));
};
export default StatusChip;
