import React from "react";
import { withStyles } from "@diana-ui/base";
const styleSheet = theme => ({
    divider: {
        backgroundColor: theme.colors.black,
        "@selectors": {
            "&.horizontal": {
                height: "1px",
                margin: `${theme.spaceUnit.md} 0`,
                width: "100%"
            },
            "&.vertical": {
                height: "100%",
                margin: `0 ${theme.spaceUnit.md}`,
                width: "1px"
            }
        }
    }
});
const Divider = ({ className, cx, orientation = "horizontal", styles }) => {
    const dividerStyles = cx(styles.divider, orientation === "horizontal" && "horizontal", orientation === "vertical" && "vertical", className);
    return React.createElement("div", { className: dividerStyles });
};
export default withStyles(styleSheet)(Divider);
