import React, { useMemo } from "react";
import { extendStyles, withStyles } from "@diana-ui/base";
import { useRegistry } from "@diana-ui/hooks";
import { DropdownHeader, styleSheet, usePopoverRef } from "./Dropdown";
const BaseMultipleDropdown = props => {
    const { items, onItemsSelected, selectedItems, styles, cx, selectAllText, selectAllItem, label, placeholder, text, renderItem, renderHeader, wrappedRef } = props;
    const ref = usePopoverRef(wrappedRef);
    const StyledPopover = useRegistry("Popover");
    const hide = () => ref.current?.hide();
    const header = useMemo(() => renderHeader ? (renderHeader()) : (React.createElement(DropdownHeader, { label: label, text: text ??
            (selectedItems.length
                ? selectedItems.map(i => i.text).join(", ")
                : placeholder), cx: cx, styles: styles })), [renderHeader, label, text, selectedItems, placeholder, cx, styles]);
    return (React.createElement(StyledPopover, Object.assign({ wrappedRef: ref }, props, { header: header }),
        React.createElement("ul", { className: cx(styles.list) },
            React.createElement("li", { className: cx(styles.item, styles.itemAll, selectedItems.length === items.length && styles.itemSelected, selectedItems.length === items.length && styles.itemAllSelected), onClick: () => {
                    onItemsSelected([...items]);
                    hide();
                }, role: "presentation" }, selectAllItem ?? selectAllText),
            items.map((item, index) => (React.createElement("li", { className: cx(styles.item, selectedItems?.find(i => i.id === item.id)
                    ? styles.itemSelected
                    : {}), key: item.id, onClick: () => {
                    let newItems = [...selectedItems];
                    const selected = newItems.find(i => i.id === item.id) !== undefined;
                    if (selected) {
                        newItems = newItems.filter(i => i.id !== item.id);
                    }
                    else {
                        newItems.push(item);
                    }
                    onItemsSelected(newItems);
                }, role: "presentation" }, renderItem?.(item, selectedItems.find(i => i.id === item.id) !== undefined, index) ?? React.createElement("span", { className: cx(styles.itemText) }, item.text)))))));
};
const multipleStylesheet = extendStyles(styleSheet, () => ({
    itemAll: {},
    itemAllSelected: {}
}));
export const MultipleDropdown = withStyles(multipleStylesheet)(BaseMultipleDropdown);
export default MultipleDropdown;
