import React, { useMemo } from "react";
import { withStyles, useTheme } from "@diana-ui/base";
const styleSheet = () => ({
    icon: {}
});
const Icon = ({ name, height, width, stroke = "black", fill, color, className, src, size, cx, styles }) => {
    const theme = useTheme();
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    const SvgIcon = useMemo(() => {
        return src || theme.icons[name] || "";
    }, [src, theme, name]);
    // Building props this way to avoid override svg previous values, only if specified.
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    const newProps = {
        className: `y-icon ${cx(styles.icon)} ${className || ""}`
    };
    if (size || width) {
        newProps.width = size || width;
    }
    if (size || height) {
        newProps.height = size || height;
    }
    if (fill || color) {
        newProps.fill = fill || color;
    }
    if (stroke || color) {
        newProps.stroke = stroke || color;
    }
    newProps.className = `y-icon ${cx(styles.icon)} ${className || ""}`;
    return React.createElement(SvgIcon, Object.assign({}, newProps));
};
export default withStyles(styleSheet)(Icon);
