/* eslint-disable jsx-a11y/mouse-events-have-key-events */
import React, { useCallback } from "react";
import uuid from "uuid";
import { withStyles } from "@diana-ui/base";
import { H3 } from "@diana-ui/typography";
import { Icon } from "@diana-ui/icon";
const styleSheet = theme => ({
    icon: {
        marginRight: theme.spaceUnit.sm
    },
    text: {},
    title: {},
    wrapper: {
        "@selectors": {
            "&.enter": {
                opacity: 0,
                transform: "translateY(10px)"
            },
            "&.enter-active": {
                opacity: 1,
                transition: "opacity 250ms ease-in, transform 125ms ease-in",
                transform: "translateY(0px)"
            },
            "&.exit": {
                opacity: 1,
                transform: "translateY(0px)"
            },
            "&.exit-active": {
                opacity: 0,
                transform: "translateY(10px)",
                transition: "opacity 250ms ease-in, transform 125ms ease-in"
            }
        }
    }
});
const Notifcation = ({ children, cx, icon, id = uuid(), title, styles, onMouseOver, onMouseOut }) => {
    const textWithIconStyles = {
        display: "flex",
        alignItems: "center"
    };
    const handleMouseOver = () => onMouseOver?.(id);
    const handleMouseOut = () => onMouseOut?.(id);
    const renderText = useCallback(() => React.createElement("span", { className: cx(styles.text) }, children), [children, cx, styles.text]);
    return (React.createElement("div", { className: cx(styles.wrapper), onMouseOver: handleMouseOver, onMouseOut: handleMouseOut },
        title && React.createElement(H3, { className: cx(styles.title) }, title),
        icon ? (React.createElement("div", { className: cx(textWithIconStyles) },
            React.createElement(Icon, { className: cx(styles.icon), name: icon }),
            renderText())) : (renderText())));
};
export default withStyles(styleSheet)(Notifcation);
