/* eslint-disable jsx-a11y/mouse-events-have-key-events */
import React from "react";
import { CSSTransition, TransitionGroup } from "react-transition-group";
import { withStyles } from "@diana-ui/base";
const styleSheet = theme => ({
    notificationStack: {
        position: "fixed",
        zIndex: 1000,
        bottom: 0,
        right: 0,
        margin: theme.spaceUnit.md
    }
});
const NotifcationPresenter = ({ cx, notifications = [], styles, timeout = 500, handleMouseOver, handleMouseOut }) => {
    return (React.createElement(TransitionGroup, { className: cx(styles.notificationStack) }, notifications.map((notification, index) => {
        const { template: Notification } = notification;
        return (React.createElement(CSSTransition, { key: index, timeout: timeout },
            React.createElement(Notification, Object.assign({}, notification, { onMouseOver: handleMouseOver, onMouseOut: handleMouseOut }), notification.children)));
    })));
};
export default withStyles(styleSheet)(NotifcationPresenter);
