import React from "react";
import { withStyles } from "@diana-ui/base";
const styleSheet = theme => ({
    tab: {
        cursor: "pointer",
        listStyle: "none",
        marginRight: theme.spaceUnit.md,
        "@selectors": {
            "&.selected": {
                borderBottom: "1px solid black"
            },
            "&.disabled": {
                cursor: "default"
            }
        }
    }
});
const Tab = ({ className, cx, disabled, index, label, selectedTab, styles, onTabClick = () => { } }) => {
    const handleClick = () => !disabled && onTabClick(index);
    const stylesArray = cx(styles.tab, index !== undefined && selectedTab === index && "selected", disabled && "disabled", className);
    return (React.createElement("li", { className: stylesArray, role: "menuitem", onClick: handleClick }, label));
};
export default withStyles(styleSheet)(Tab);
