import React from "react";
import { withStyles } from "@diana-ui/base";
import TextInput from "./TextInput";
const stylesheet = (theme) => ({
    errorLabel: {
        display: "flex",
        flexDirection: "column",
        alignItems: "flex-end",
        color: theme.colors.alert.alert100,
        ...theme.typography.label
    },
    legend: {
        "@selectors": {
            "&.error": {
                color: theme.colors.alert.alert100
            }
        }
    }
});
const ExtendedTextInput = TextInput.extendStyles(stylesheet);
export const ErrorTextInput = ({ cx, styles, error, className, ...props }) => {
    return (React.createElement("div", { className: className },
        React.createElement(ExtendedTextInput, Object.assign({}, props, { hasError: typeof error === "boolean"
                ? error
                : error !== null && error !== undefined })),
        React.createElement("div", { className: cx(styles.errorLabel) }, error && typeof error === "string" ? error : React.createElement("span", null, "\u00A0"))));
};
export default withStyles(stylesheet)(ErrorTextInput);
