import React from "react";
import { useStyles } from "@diana-ui/base";
const styleSheet = theme => ({
    h1: {
        ...theme.typography.h1
    },
    h2: {
        ...theme.typography.h2
    },
    h3: {
        ...theme.typography.h3
    },
    h4: {
        ...theme.typography.h4
    },
    h5: {
        ...theme.typography.h5
    },
    buttonText: {
        ...theme.typography.buttonText
    },
    body: {
        ...theme.typography.body
    },
    bodyHighlight: {
        ...theme.typography.bodyHighlight
    },
    description: {
        ...theme.typography.description
    },
    descriptionMedium: {
        ...theme.typography.descriptionMedium
    },
    label: {
        ...theme.typography.label
    },
    sectionTitle: {
        ...theme.typography.sectionTitle
    }
});
export const H1 = ({ children, className, ...props }) => {
    const [styles, cx] = useStyles(styleSheet);
    return (React.createElement("h1", Object.assign({ className: cx(styles.h1, className) }, props), children));
};
export const H2 = ({ children, className, ...props }) => {
    const [styles, cx] = useStyles(styleSheet);
    return (React.createElement("h2", Object.assign({ className: cx(styles.h2, className) }, props), children));
};
export const H3 = ({ children, className, ...props }) => {
    const [styles, cx] = useStyles(styleSheet);
    return (React.createElement("h3", Object.assign({ className: cx(styles.h3, className) }, props), children));
};
export const ButtonText = ({ children, className, ...props }) => {
    const [styles, cx] = useStyles(styleSheet);
    return (React.createElement("span", Object.assign({ className: cx(styles.buttonText, className) }, props), children));
};
export const Text = ({ children, className, ...props }) => {
    const [styles, cx] = useStyles(styleSheet);
    return (React.createElement("span", Object.assign({ className: cx(styles.body, className) }, props), children));
};
export const TextHighlight = ({ children, className, ...props }) => {
    const [styles, cx] = useStyles(styleSheet);
    return (React.createElement("span", Object.assign({ className: cx(styles.bodyHighlight, className) }, props), children));
};
export const Description = ({ children, className, ...props }) => {
    const [styles, cx] = useStyles(styleSheet);
    return (React.createElement("span", Object.assign({ className: cx(styles.description, className) }, props), children));
};
export const DescriptionMedium = ({ children, className, ...props }) => {
    const [styles, cx] = useStyles(styleSheet);
    return (React.createElement("span", Object.assign({ className: cx(styles.descriptionMedium, className) }, props), children));
};
export const Label = ({ children, className, ...props }) => {
    const [styles, cx] = useStyles(styleSheet);
    return (React.createElement("span", Object.assign({ className: cx(styles.label, className) }, props), children));
};
export const SectionTitle = ({ children, className, ...props }) => {
    const [styles, cx] = useStyles(styleSheet);
    return (React.createElement("span", Object.assign({ className: cx(styles.sectionTitle, className) }, props), children));
};
